WindowManager:
    MainWindow:
    SecondWindow:

<MainWindow>:
    name: "main"
    GridLayout:
        cols: 1
        GridLayout:
            cols: 2
            Label:
                text: "Password: "
            TextInput:
                id: passw
                multiline: False
        Button:
            text: "Submit"
            on_release:
                app.root.current = "second" if passw.text == "ron" else "main"
                root.manager.transition.direction = "left"

<SecondWindow>:
    name: "second"
    Button:
        text: "Go Back"
        on_release:
            app.root.current = "main"
            root.manager.transition.direction = "right"